petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateDoublet

Creates a mesh of two cells of the specified type, optionally with later refinement.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateDoublet(MPI_Comm comm, PetscInt dim, PetscBool simplex, PetscBool interpolate, PetscBool refinementUniform, PetscReal refinementLimit, DM *newdm)

Collective on MPI_Comm

### Input Parameters

| comm | - The communicator for the DM object
| dim | - The spatial dimension
| simplex | - Flag for simplicial cells, otherwise they are tensor product cells
| interpolate | - Flag to create intermediate mesh pieces (edges, faces)
| refinementUniform | - Flag for uniform parallel refinement
| refinementLimit | - A nonzero number indicates the largest admissible volume for a refined cell

### Output Parameter

dm -The DM object

### Keywords

DM, create

### See Also

DMSetType(), DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages